org.apache.storm.daemon.drpc.webapp

## Class DRPCResource

- java.lang.Object
- - org.apache.storm.daemon.drpc.webapp.DRPCResource

-     @Path(value="/drpc/")
      public class DRPCResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DRPCResource(DRPC drpc, StormMetricsRegistry metricsRegistry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String func, javax.servlet.http.HttpServletRequest request)`
    `String` | `get(String func, String args, javax.servlet.http.HttpServletRequest request)`
    `String` | `post(String func, String args, javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DRPCResource

          public DRPCResource(DRPC drpc,
                              StormMetricsRegistry metricsRegistry)

  - ### Method Detail

    - #### post

          @POST
           @Path(value="/{func}")
          public String post(@PathParam(value="func")
                                                           String func,
                                                           String args,
                                                           @Context
                                                           javax.servlet.http.HttpServletRequest request)
                                                    throws Exception

      Throws:
        `Exception`

    - #### get

          @GET
           @Path(value="/{func}/{args}")
          public String get(@PathParam(value="func")
                                                                String func,
                                                                @PathParam(value="args")
                                                                String args,
                                                                @Context
                                                                javax.servlet.http.HttpServletRequest request)
                                                         throws Exception

      Throws:
        `Exception`

    - #### get

          @GET
           @Path(value="/{func}")
          public String get(@PathParam(value="func")
                                                         String func,
                                                         @Context
                                                         javax.servlet.http.HttpServletRequest request)
                                                  throws Exception

      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.